#include <stdio.h>
#include <stdlib.h>
#include <signal.h>

extern void kb_init(void);
extern void kb_exit(void);
extern int kbd_pending;
static void onint(int);

main()
{
	kb_init();
	signal(SIGINT, onint);
	for (;;)
		printf("%5d\r", kbd_pending);
}

static void
onint(x)
int x;
{
	printf("\nExiting\n");
	kb_exit();
	exit(0);
}
